import {version} from './package.json';

export default {

    version: version,
    
    log: false,

    space: {
        color: 0xdddddd
    },

    device: {

        desktop: {
            container: {
                scale:  {
                    x: 1,
                    y: 1,
                    z: 1
                },
                position: {
                    x:0,
                    y: -1,
                    z: -10
                }
            },    
            globe: {
                opacity: 0,
                color: 0xff0000,
                wireframe: true,
                transparency: true
            }
        },

        mobile: {
            container: {
              scale:  {
                x: 1,
                y: 1,
                z: 1
              },
              position: {
                x:0,
                y: -2,
                z: -15
              }
            },
            globe:{
                opacity: 0,
                color: 0xff0000,
                wireframe: true,
                transparency: true
            },
            acceleration: 250,
            fog: {
              far: 25
            },
            hints: false
        }
    }
}