'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Meta = require('../Meta');

var _Meta2 = _interopRequireDefault(_Meta);

var _Graphics = require('../Graphics/Graphics');

var _Graphics2 = _interopRequireDefault(_Graphics);

var _Cube = require('../Graphics/Geometries/Cube');

var _Cube2 = _interopRequireDefault(_Cube);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _DEFAULT = {
  COLOR: 0x898989
};

var Ground = function Ground(props) {
  _classCallCheck(this, Ground);

  var _color = props !== undefined && props.color !== undefined ? props.color : _DEFAULT.COLOR;

  return new _Meta2.default({

    physics: false,

    graphics: new _Graphics2.default({
      geometry: new _Cube2.default({

        width: 100,
        height: 0.001,
        length: 100

      }, true) }, true) }).c(_color);
};

exports.default = Ground;