'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Brick = exports.Grid = exports.Ground = exports.M = exports.P = exports.Y = exports.S = exports.C = exports.ti = exports.timer = exports.on = exports.Space = exports.Graphics = exports.Existence = exports.Model = exports.Plane = exports.Cylinder = exports.Sphere = exports.Cube = exports.Meta = exports.r = undefined;

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _Space = require('./Space/Space');

var _Space2 = _interopRequireDefault(_Space);

var _Meta = require('./Space/Meta/Meta');

var _Meta2 = _interopRequireDefault(_Meta);

var _Graphics = require('./Space/Meta/Graphics/Graphics');

var _Graphics2 = _interopRequireDefault(_Graphics);

var _Existence = require('./Space/Meta/Existence/Existence');

var _Existence2 = _interopRequireDefault(_Existence);

var _Cube = require('./Space/Meta/Graphics/Geometries/Cube');

var _Cube2 = _interopRequireDefault(_Cube);

var _Sphere = require('./Space/Meta/Graphics/Geometries/Sphere');

var _Sphere2 = _interopRequireDefault(_Sphere);

var _Cylinder = require('./Space/Meta/Graphics/Geometries/Cylinder');

var _Cylinder2 = _interopRequireDefault(_Cylinder);

var _Plane = require('./Space/Meta/Graphics/Geometries/Plane');

var _Plane2 = _interopRequireDefault(_Plane);

var _Ground = require('./Space/Meta/Custom/Ground');

var _Ground2 = _interopRequireDefault(_Ground);

var _Grid = require('./Space/Meta/Custom/Grid');

var _Grid2 = _interopRequireDefault(_Grid);

var _Brick = require('./Space/Meta/Custom/Brick');

var _Brick2 = _interopRequireDefault(_Brick);

var _Model = require('./Space/Meta/Graphics/Geometries/Model');

var _Model2 = _interopRequireDefault(_Model);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _DEFAULT = {

  COLOR: {
    PRIMARY: '#548adf',
    SECONDARY: '#9aa9fe',
    TEXT: '#ffffff'
  }

};
console.log('%c \u25EF META.Client.' + _config2.default.version, 'background: linear-gradient(' + _DEFAULT.COLOR.PRIMARY + ', ' + _DEFAULT.COLOR.SECONDARY + ');color: ' + _DEFAULT.COLOR.TEXT + ';');

var Void = function Void() {
  _classCallCheck(this, Void);

  this.space = new _Space2.default();
};

exports.default = Void;

var r = function r(min, max) {
  var _min = min !== undefined ? min : 10;
  var _max = max !== undefined ? max : 0;
  return Math.random() * (_max - _min) + _min;
};

exports.r = r;
exports.Meta = _Meta2.default;
exports.Cube = _Cube2.default;
exports.Sphere = _Sphere2.default;
exports.Cylinder = _Cylinder2.default;
exports.Plane = _Plane2.default;
exports.Model = _Model2.default;
exports.Existence = _Existence2.default;
exports.Graphics = _Graphics2.default;
exports.Space = _Space2.default;
exports.on = _Space.on;
exports.timer = _Space.timer;
exports.ti = _Space.timer;
exports.C = _Cube2.default;
exports.S = _Sphere2.default;
exports.Y = _Cylinder2.default;
exports.P = _Plane2.default;
exports.M = _Model2.default;
exports.Ground = _Ground2.default;
exports.Grid = _Grid2.default;
exports.Brick = _Brick2.default;