[![Build Status](https://travis-ci.org/cheesyeyes/meta.svg?branch=master)](https://travis-ci.org/cheesyeyes/meta)


# 🏝 Meta - The (Virtual) Space Library 👩‍🚀 🚀

The Javascript Library For Shared Virtual Reality On The Web.
[Instant Try & Share (metajs.org)](http://metajs.org)

[![Meta.js](https://media.giphy.com/media/3o7aCWDuzxsESrbmcE/giphy.gif)](https://metajs.org)

Write one code for any device.
(HTC Vive, Oculus Rift, Desktop, Smartphone, etc.)

# Quick Usage 👩‍🚀

```javascript

import {Ground, Grid, Sphere, on} from 'meta-client';

new Ground({color:0x0000ff});
new Grid({color:0x000000});

on('touch', (there) => new Sphere().set(there));

```

# 📖 Docs (http://meta.camp)

The full [documentation](http://meta.camp) on Meta.js.

# 💬 Slack (https://metajsorg.slack.com)

[Talk](https://metajsorg.slack.com) about space.

# 🤖 Requirements

Meta requires NodeJS (https://nodejs.org).

# 🎉 Installation

### Quick (Using [Meta-Kit](https://github.com/cheesyeyes/meta-kit)):

```script
git clone https://github.com/cheesyeyes/meta-kit .
npm install
npm run build && npm start
```

Open your browser and visit "localhost:5000".

### Via NPM

```script
npm install meta-client
npm install
npm run build && npm run start
```

[![meta-client](https://badge.fury.io/js/meta-client.svg)](https://badge.fury.io/js/meta-client) (meta-client)

[![meta-server](https://badge.fury.io/js/meta-server.svg)](https://badge.fury.io/js/meta-server) (meta-server)

[![meta-client](https://badge.fury.io/js/meta-console.svg)](https://badge.fury.io/js/meta-console) (meta-console)

### Custom

```script
git clone https://github.com/cheesyeyes/meta
npm install
npm run build && npm start
```

# Credits

As any other software this is based on thousands of layers of programming abstraction. The upper layer on which this is build on are Three.js (Graphics) and Oimo.js (Physics).

# References & Inspiration

I have two main sources of inspiration:

I probably leanred most about space from
[<b>Walter Lewin</b>](https://www.youtube.com/watch?v=GtOGurrUPmQ "Walter Lewin").

I probably learned most about Toys from [<b>Julian Summer Miller</b>](https://www.youtube.com/watch?v=F6uYDUPn4oM "Julian Summer Miller").

# License
MIT

# Manifesto

Let's start to redefine space!

# Colors
(240,142,145),
(137,137,137)
