'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _three = require('three');

var _Space = require('../../../Space');

var _Space2 = _interopRequireDefault(_Space);

var _Graphics = require('../Graphics');

var _Graphics2 = _interopRequireDefault(_Graphics);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Model = function Model(fileName) {
    _classCallCheck(this, Model);

    var loader = new _three.ObjectLoader();

    loader.load('/static/models/' + fileName + '.json', function (obj) {

        _Space2.default.getScene().add(obj);
    });
};

exports.default = Model;